# Set member's roles

Update the roles of a member of the organization to control their access to an application. This will replace all the member's roles, if they exist. The roles must first be created for the application and added to a role group for the application, and the role group must be added to the organization. Required permissions: organizations:edit, orgs:edit.

Endpoint: POST /v1/applications/{app_id}/organizations/{organization_id}/members/{member_id}/roles
Security: AdminAccessToken

## Path parameters:

  - `app_id` (string, required)
    ID of the application to assign the roles to

  - `organization_id` (string, required)
    ID of the organization to assign the roles to

  - `member_id` (string, required)

## Request fields (application/json):

  - `role_ids` (array, required)
    Ids of the roles
    Example: ["role1","role2"]


## Response 204 fields
